import { api } from "@/config";
import { API_PATH_GET_PROFILE, API_PATH_LOGIN } from "@/constants";

export async function queryLogin(body: Model.LoginRequestBody) {
  return api.post<Model.LoginResponse>(API_PATH_LOGIN, body);
}

export async function queryProfile() {
  return api.get<Model.ProfileResponse>(API_PATH_GET_PROFILE);
}
